[needs 2.99.903] Xorg crashed in sna_blt_composite(), kgem_bo_undo()

Bug #1228677 reported by Yoshee on 2013-09-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

sorry, don't know

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.2.901-2ubuntu4
ProcVersionSignature: Ubuntu 3.11.0-8.15-generic 3.11.1
Uname: Linux 3.11.0-8-generic i686
.tmp.unity.support.test.0:

ApportVersion: 2.12.4-0ubuntu1
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sat Sep 21 23:23:41 2013
DistUpgraded: 2013-09-20 17:37:44,841 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
ExecutablePath: /usr/bin/Xorg
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:2115]
InstallationDate: Installed on 2012-12-05 (290 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017.2)
MachineType: LENOVO 4063A18
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdline: /usr/bin/X -core :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-8-generic root=UUID=370cc9f2-2dd1-436c-8d0b-454e5d7f074e ro quiet splash vt.handoff=7
Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? ()
Title: Xorg crashed with SIGABRT
UpgradeStatus: Upgraded to saucy on 2013-09-20 (1 days ago)
UserGroups:

dmi.bios.date: 03/17/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 6FET88WW (3.18 )
dmi.board.name: 4063A18
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6FET88WW(3.18):bd03/17/2011:svnLENOVO:pn4063A18:pvrThinkPadW500:rvnLENOVO:rn4063A18:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4063A18
dmi.product.version: ThinkPad W500
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.10+13.10.20130920-0ubuntu1
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu6
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Sat Sep 21 23:23:47 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 16469
 vendor LEN
xserver.version: 2:1.14.2.901-2ubuntu4

Yoshee (yoshee) wrote :
Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Timo Aaltonen (tjaalton) on 2013-09-25
information type: Private → Public
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)

commit d7eb40efa79dd9ea720606b94a20179c7dd18e03
Author: Chris Wilson <email address hidden>
Date: Wed Sep 25 13:54:43 2013 +0100

    sna: Check that the bo exists before attempting to undo it

    Fixes a NULL dereference from sna_blt_composite().

    Bugzilla: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1228677
    Signed-off-by: Chris Wilson <email address hidden>

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Committed
summary: - Xorg crashed with SIGABRT
+ [needs 2.99.903] Xorg crashed in sna_blt_composite(), kgem_bo_undo()
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.903-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.903-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git (LP: #1222203, #1224106, #1228677,
    #1233990, #1234027)
  * Drop patches that were from upstream.
  * source: Revert to source format 1.0.
  * xmir.patch: Refresh.
 -- Timo Aaltonen <email address hidden> Tue, 01 Oct 2013 16:18:05 +0300

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.